### Enumeration

# Fwupd RemoteFlags

#### Declaration

    flags Fwupd.RemoteFlags

#### Description [src]

The flags available for the remote.

#### Members

Name | Description
--- | ---
`FWUPD_REMOTE_FLAG_NONE` | No flags set.
`FWUPD_REMOTE_FLAG_ENABLED` | Is enabled.
`FWUPD_REMOTE_FLAG_APPROVAL_REQUIRED` | Requires approval for each firmware.
`FWUPD_REMOTE_FLAG_AUTOMATIC_REPORTS` | Send firmware reports automatically.
`FWUPD_REMOTE_FLAG_AUTOMATIC_SECURITY_REPORTS` | Send security reports automatically.
`FWUPD_REMOTE_FLAG_ALLOW_P2P_METADATA` | Use peer-to-peer locations for metadata.
`FWUPD_REMOTE_FLAG_ALLOW_P2P_FIRMWARE` | Use peer-to-peer locations for firmware.
`FWUPD_REMOTE_FLAG_NO_PHASED_UPDATES` | Do not slow deployment using phased updates.